Page MenuHomePhabricator

elementary: leverage sizing information from model if available to avoid unecessary calc.
ClosedPublic

Authored by cedric on Sep 15 2019, 11:38 PM.

Details

Summary

With the new Efl unified infrastructure, we do delay a lot of the computation to finalize,
by filling the object information before finalize we reduce unecessary computation.

Depends on D9947

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Sep 15 2019, 11:38 PM
bu5hm4n added inline comments.Sep 16 2019, 12:34 AM
src/lib/elementary/efl_ui_widget_factory.c
84

Do we need to check here if width and height are at least availble ?

91

Should we error in this case ?

zmike accepted this revision.Sep 16 2019, 6:22 AM

I'm accepting this, errors can be added later

src/lib/elementary/efl_ui_widget_factory.c
84

That's what the below lines do.

91

I suppose, though the value for it is a little questionable

This revision is now accepted and ready to land.Sep 16 2019, 6:22 AM
cedric updated this revision to Diff 25191.Sep 19 2019, 1:14 PM
cedric edited the summary of this revision. (Show Details)

rebase

This revision was automatically updated to reflect the committed changes.